Bug 187326 - Review Request: smokeping - Network latency grapher
Review Request: smokeping - Network latency grapher
Status: CLOSED DUPLICATE of bug 441378
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 187304 perl-Authen-Radius
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 20:51 EST by Andreas Thienemann
Modified: 2008-04-07 19:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-22 14:24:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-03-29 20:51:05 EST
Spec Name or Url: http://home.bawue.net/~ixs/smokeping/smokeping.spec
SRPM Name or Url: http://home.bawue.net/~ixs/smokeping/smokeping-2.0.7-2.src.rpm 
Description:
SmokePing is a network latency monitor which works in a way that is
similar to MRTG. It measures network latency to a configurable set of
destinations on the network, and displays its findings in easy-to-read
Web pages. SmokePing has special support for monitoring hosts with
dynamic IP addresses. SmokePing uses RRDtool as its logging and graphing
back-end, making the system very efficient. The presentation of the data
on the Web is done through a CGI which creates graphs on demand.
Comment 1 Andreas Thienemann 2006-03-29 20:56:30 EST
rpmlint gives several errors and warnings, which should be ignored:

E: smokeping only-non-binary-in-usr-lib
rpmlint seems to have problems with perl modules

E: smokeping non-readable /etc/smokeping/tmail 0640
Contains passwords.

E: smokeping non-standard-gid /var/lib/smokeping/images apache
Must be apache writeable.

E: smokeping non-standard-dir-perm /var/lib/smokeping/images 0775
Same.

E: smokeping non-readable /etc/smokeping/smokemail 0640
Again passwords.

E: smokeping non-standard-gid /etc/smokeping/config apache
Apachereadable.

E: smokeping non-readable /etc/smokeping/config 0640
Passwords again.
Comment 2 Curtis Doty 2006-03-29 23:03:10 EST
I've not yet collected enough ROUND TUITs to get more involved in FE. But from
2002 through 2004 I maintained a working smokeping RPM For Red Hat. I also kept
an rpm for the speedy cgi helper.

http://www.greenkey.net/~curtis/rpm/src/SPECPATCH/smokeping-1.27/smokeping.spec
http://www.greenkey.net/~curtis/rpm/src/SPECPATCH/perl-PersistentPerl-2.22/perperl.spec
http://www.greenkey.net/~curtis/rpm/src/smokeping-1.27-gk1.src.rpm
http://www.greenkey.net/~curtis/rpm/src/perl-PersistentPerl-2.22-1gk1.src.rpm

They are stylistically very different than yours. But maybe some stuff would be
helpfull to compare and integrate still...

Like a handy bit o' perl as an rpm macro that cleans up the path rather than
using a patch for every release.

Or the nice basic starting config that monitors the local server; *NOT* the same
bunch of static sites across the net. That's not cool.

Stuff like the apache-1.3 %trigger is clearly outdated, though.

A few patches from it's earlier days have already swam upstream. Please feel
free to peruse and integrate. :-)
Comment 3 Paul Howarth 2006-03-30 05:33:22 EST
(In reply to comment #1)
> rpmlint gives several errors and warnings, which should be ignored:
> 
> E: smokeping only-non-binary-in-usr-lib
> rpmlint seems to have problems with perl modules

These would probably go away if the perl modules were installed into
%{perl_vendorlib} rather than %{_libdir}/smokeping
That should also remove the need for the various explicit paths needed in "use
lib" statements here and there, since perl would look for the modules in the
right place by default.
Comment 4 Andreas Thienemann 2006-03-30 06:27:08 EST
(In reply to comment #2)

> I also kept an rpm for the speedy cgi helper.
Ahh, that is interesting. I'll take a look at it sometime and see how to
incorporate it.

> Like a handy bit o' perl as an rpm macro that cleans up the path rather than
> using a patch for every release.
Yeah. I called perl directly at first but then decided to prefer an external
patch, as it is cleaner.
And from what I gathered, the different upstream versions don't differ that
much, that each new release would need a new patch.
In case that should prove to be false, I'll incorporate your decruft() call. ;)

> Or the nice basic starting config that monitors the local server; *NOT* the
> same bunch of static sites across the net. That's not cool.
Yes, that looks like a nice feature, to have tailored configuration for the
lokal net, right out of the box.
But I am not that sure, if it is such a good idea. RedHat has in the past kept
their config files more general and leave the configuration to the local admin.
Not as debian, which does a lot of configuration at package installation time
through debhelper.
Furthermore, I think grepping through the output of the route command is a bit
risky, as it's prone to fail if the system has no network yet or could pick up
the wrong systems if the laptop is somewhere else.

If other people think, that is a good idea to implement something, I can do
that. But right now, I prefer to leave that to the enduser.

> A few patches from it's earlier days have already swam upstream. Please feel
> free to peruse and integrate. :-)
:-D
Comment 5 Andreas Thienemann 2006-03-30 07:18:19 EST
(In reply to comment #3)

> > rpmlint seems to have problems with perl modules
> These would probably go away if the perl modules were installed into
> %{perl_vendorlib} rather than %{_libdir}/smokeping
> That should also remove the need for the various explicit paths needed in "use
> lib" statements here and there, since perl would look for the modules in the
> right place by default.
Good idea.
The smokeping modules are in the %{perl_vendorlib}/Smokeping now and the
specific use lib calls can be removed from the binaries.
However it seems a small wrapper script is needed now in order to prevent
cluttering and potential conflicts in %{perl_vendorlib}. My knowledge of perl
modules is extremely limited, it would be nice if someone could take a look at
%{SOURCE4} and see if there's an easier way.
The drawback is, that the wrapperscript calles Smokeping::Smokeping which get's
picked up as a dependency.
I put a provide with perl(Smokeping::Smokeping) into the spec, which rpmlint
thinks is needless explicit. This is defintly wrong.
Suggestions? 

Spec Name or Url: http://home.bawue.net/~ixs/smokeping/smokeping.spec
SRPM Name or Url: http://home.bawue.net/~ixs/smokeping/smokeping-2.0.7-3.src.rpm  

Comment 6 Yanko Kaneti 2006-04-08 07:28:26 EDT
comments from a total selinux newbie perspective.

It does not seem to be ready for an apache running under enforcing selinux
policy. I bumped into this under FC4. The first symptom was

"ERROR: /etc/smokeping/config, line 11: Directory '/var/lib/smokeping/images'
does not exist"

Had to change the context of the cgi script and the data and imgcache
directories. Also AFAIK from a selinux perspective its better for the pid file
to be in its own directory eg. /var/run/smokeping/smokeping.pid  which requires
changes to the default config.
Comment 7 Roy-Magne Mo 2006-04-30 10:56:43 EDT
Since smokeping runs as a daemon, I guess the smokeping binary should be in
/usr/sbin instead of /usr/bin 
Comment 8 Patrice Dumas 2006-07-26 17:13:00 EDT
(In reply to comment #7)
> Since smokeping runs as a daemon, I guess the smokeping binary should be in
> /usr/sbin instead of /usr/bin 

A daemon needs not be in /usr/sbin, what goes in /usr/sbin is what
is exclusively run by root, in general because it requires some
privilege. 
Comment 9 Jason Tibbitts 2006-08-18 21:01:09 EDT
Andreas, do you still want to try to get this in?
Comment 10 Andreas Thienemann 2006-08-21 16:14:50 EDT
Tibbs, sure. I've just gotten back from my vacation...
Care to do a review after I updated the package to current versions?
Comment 11 Axel Thimm 2006-08-21 17:00:36 EDT
I am just in the need for a packaged smokeping, so I'd gladly review it if tibbs
is bored :)
Comment 12 Andreas Thienemann 2006-08-21 17:19:04 EDT
sounds good. ;D
Just gimme a day or four... ;D
Comment 13 Jason Tibbitts 2006-08-21 22:00:37 EDT
Axel, there are plenty of other packages I can review so please do take this.
Comment 14 Jason Tibbitts 2006-09-22 15:25:39 EDT
So what happened?  Axel assigned this to himself a month ago, but this ticket
still blocks FE-NEW and no progress has been made.
Comment 15 Axel Thimm 2006-09-22 15:47:38 EDT
Andreas wanted to update the package before the review, I've been waiting for
that to happen. I'll revert the assignment to better reflect the current status.
Comment 16 Andreas Thienemann 2006-09-23 08:45:34 EDT
Yeah. Sorry for the delay. I spent the last weeks in ireland with no ip access
there.
Right now I'm at akademy, the kde conference in dublin.
I guess, I'll manage to fix the package up here.
Comment 17 Jason Tibbitts 2007-02-22 14:24:05 EST
No progress in many months now; I'm closing this review.
Comment 18 Jason Tibbitts 2008-04-07 19:25:52 EDT

*** This bug has been marked as a duplicate of 441378 ***

Note You need to log in before you can comment on or make changes to this bug.